// config: norepeat noautolaunch

#include "GetObject.js"
#include "GetObjects.js"

function PolylineToCurve()
{
	var objectpicker = moi.ui.createObjectPicker();
	objectpicker.allowCurves();
	
	if ( !GetObject( objectpicker ) )
		return;

	var factory = moi.command.createFactory( 'separate' );
	factory.setInput( 0, objectpicker.objects );
	factory.commit();

	var objectpicker = moi.ui.createObjectPicker();
	objectpicker.allowCurves();
	if ( !GetObjects( objectpicker ) )
		return;
	var polysegments = objectpicker.objects.getCurves(); // From MarkCurveStart	
	polysegments.sortBySelectionOrder();
	if ( polysegments.length < 2 )
		return;
	
	var len = polysegments.length;
	var lenMinus = (len - 1 );
	var lastSegment = polysegments.item(lenMinus);
	var lastPt =  lastSegment.getEndPt();
	
	var curveV, curveF = moi.command.createFactory( 'curve' );
	for ( var iCrv = 0; iCrv < len; ++iCrv )	
	//for ( var iCrv = 0; iCrv < polysegments.length; ++iCrv )
	{
		var segment = polysegments.item(iCrv);
		var nextPt = segment.getStartPt();
		curveF.createInput( 'point' );		
		curveF.setInput( curveF.numInputs - 1, nextPt );
	}
	curveF.createInput( 'point' );		
	curveF.setInput( curveF.numInputs - 1, lastPt );
		
	curveF.update();
	
	//var gosper = curveF.getCreatedObjects();	
	//moi.geometryDatabase.deselectAll();

	curveF.commit();
}

PolylineToCurve();
